Bug 148360 - FILEOPEN: Incorrect indent of first line
Summary: FILEOPEN: Incorrect indent of first line
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.5.0 target:7.4.1 target:7.6....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOC-Bullet-Number-Lists
  Show dependency treegraph
 
Reported: 2022-04-04 11:09 UTC by Xisco Faulí
Modified: 2023-09-15 01:27 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison MSO 2010 and LibreOffice 7.4 master (702.60 KB, image/png)
2022-04-04 11:09 UTC, Xisco Faulí
Details
screenshot (456.72 KB, image/png)
2022-08-17 16:34 UTC, BogdanB
Details
The first example file in current nightly and Word 2010 (256.29 KB, image/png)
2022-08-17 17:44 UTC, Gabor Kelemen (allotropia)
Details
148360_relevantExamples.zip: mostly found in existing unit tests (760.62 KB, application/zip)
2023-02-21 20:07 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-04-04 11:09:19 UTC
Created attachment 179301 [details]
Comparison MSO 2010 and LibreOffice 7.4 master

Steps to reproduce:
1. Open attachment 86027 [details] from bug 69496

-> First and second paragraph are aligned to the left of the document. They should have some indent. See comparison image

Reproduced in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 9f0e19721bb598c75835cfa94f4158085f81288e
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: en-US (es_ES.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2022-04-04 11:10:21 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=aa5c6d127559912ad60a63fbd972b78fb8f9691b

author	Vasily Melenchuk <vasily.melenchuk@cib.de>	2021-06-14 14:27:56 +0300
committer	Thorsten Behrens <thorsten.behrens@allotropia.de>	2021-06-29 00:48:36 +0200
commit aa5c6d127559912ad60a63fbd972b78fb8f9691b (patch)
tree f58857a341fa8930ad173e82e5c11a5fedf294e0
parent 99ef46fdb2a975e074c66a02328b86edfc05307f (diff)
new ODF numbered list parameter loext:num-list-format

Bisected with: bibisect-linux64-7.3

Adding Cc: to Vasily Melenchuk
Comment 2 Gabor Kelemen (allotropia) 2022-05-30 09:33:10 UTC
Interesting detail that this doc started to look good in 7.1 with:

https://git.libreoffice.org/core/+/7e605bc3ff0cfea76be4683f0170d821fcae7203%5E%21/#F1

author	Vasily Melenchuk <vasily.melenchuk@cib.de>	Tue May 19 10:24:35 2020 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	Wed Jun 17 11:19:35 2020 +0200

tdf#120394: doc import: use list format string

Before the tabs belonging to the numbering were not imported.
Comment 3 Commit Notification 2022-08-02 14:00:36 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a7d9837a8aa6d1233f4c21e4db5d32428a3ffc58

tdf#148360: sw: do not ignore list label followed by

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Gabor Kelemen (allotropia) 2022-08-03 17:34:37 UTC
Checked with current nightly, see  attachment 181569 [details]

DOCX is fixed, but DOC is still not. Reopening.
Comment 5 Commit Notification 2022-08-03 19:57:31 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/49b432d2c42000a561494c82fa56646424f3d288

tdf#148360: sw: do not ignore list label followed by

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-08-11 17:39:34 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2405a36f3bcd43f80371ccaed47f7523ff0d8757

tdf#148360 doc import: add NO_NUMBERING_SHOW_FOLLOWBY(true)

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-08-12 10:54:23 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/4ae05eda6ed81f628d85301653b7f7b6b0ee459b

tdf#148360 doc import: add NO_NUMBERING_SHOW_FOLLOWBY(true)

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 BogdanB 2022-08-17 16:34:57 UTC Comment hidden (obsolete)
Comment 9 Gabor Kelemen (allotropia) 2022-08-17 17:44:03 UTC
Created attachment 181837 [details]
The first example file in current nightly and Word 2010

Verified in fresh nightly:

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c1446da82b999349e1a09fed3420bd1c38d7b38c
CPU threads: 14; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: threaded

Title paragraphs start with tabs.
Comment 10 BogdanB 2022-08-17 19:24:28 UTC
Yes, it's ok now.
I have tested before on an older version of 7.5.

Ok in
Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: f6a0ca0e92e41ad8fea71acdacdc7ec5e775dc59
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 11 Commit Notification 2023-02-08 19:16:38 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7b3e0639962bab6e757381ad2b3e4868c61ed3b7

Revert "tdf#148360 doc import: add NO_NUMBERING_SHOW_FOLLOWBY(true)"

It will be available in 7.6.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Justin L 2023-02-08 19:45:49 UTC
(In reply to Gabor Kelemen (allotropia) from comment #4)
> DOCX is fixed, but DOC is still not. Reopening.

Reopening again - since the DOC fix was reverted. bug 153042 shows there are lots of documents that are adversely affected.

DOCX also is broken in these cases, but we'll leave that bug report to deal with the missing implementation bits.
Comment 13 Commit Notification 2023-02-09 09:10:04 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-5":

https://git.libreoffice.org/core/commit/d34ffd5bbc6ecf1e98a834c31af6d87653213dda

Revert "tdf#148360 doc import: add NO_NUMBERING_SHOW_FOLLOWBY(true)"

It will be available in 7.5.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2023-02-10 14:04:10 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/2fb1994addaa26bb11a0e698346b94089066dbb7

Revert "tdf#148360 doc import: add NO_NUMBERING_SHOW_FOLLOWBY(true)"

It will be available in 7.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Justin L 2023-02-21 20:07:11 UTC
Created attachment 185513 [details]
148360_relevantExamples.zip: mostly found in existing unit tests

A patch that should help when the time comes to re-implement this for DOC is titled "doc import: set chapter numbering to safe defaults"
https://gerrit.libreoffice.org/c/core/+/147423

I probably could submit this patch right away. It should have very
little detrimental effect because our export already makes this change.

However, for the workflow of opening up a MS-authored DOC file,
and then turning on numbering for the headers before round-tripping the document
(where it will be nice to have the tabstop already defined)
I will just leave this patch in limbo until DOC is once
again set to NO_NUMBERING_SHOW_FOLLOWBY.